%%Script que permite construir grilla de altura regular: Interpolacion de
%%alturas

clear all
close all

% cd /Users/Jacque/Dropbox/Archivos/Tesis/Datos/Santiago-SCEL
cd /home/jhidalgo/Dropbox/Archivos/Tesis/Datos/Santiago-SCEL

load acarssounding201701SCEL.mat


%% Generando la interpolacion de alturas para tener una matriz regular

%Altura de SCEL 476 metros por lo tanto para la interpolacion 0m=476m

%%%%ejemplo para datos de un sonda 

HI=[0:50:5000]; %generando un vector de altura interpolada deltaZ=50m


% H=sounding{1}.height-476;
% T=sounding{1}.temp;
% a=isnan(H); %matriz logica de 0 y 1, donde 1:NaN
% H(a==1)=[];
% T(a==1)=[];
% 
% [~,ia,ic]=unique(H); %unique me indica unicos valores, no considera valores repetidos que entorpecen la interpolacion y ademas contiene indices donde estan los valores repetidos
% H=H(:,ia);
% T=T(:,ia);
% T_int=interp1(H,T,HI); %Temp interpolada con su respectiva altura


%%%%%Realizando un ciclo para que considere todas las alturas y temperaturas de los sondeos


ns=length(sounding);

 T_int=[]; %matriz que va a almacenar las temperaturas de acuerdo a la altura interpolada


for n=1:ns %voy recorriendo los sondeos que necesito analizar 
    
     H=sounding{n}.height-476;
     T=sounding{n}.temp;
     a=isnan(H);
     H(a==1)=[];
     T(a==1)=[];
     [~,ia,ic]=unique(H);
     H=H(:,ia);
     T=T(:,ia);
 
     T_int(:,n)=interp1(H,T,HI); %realiza la interpolacion
     
         
        
end



%% Ahora deseo conocer #de elementos que existen entre cada nivel de altura, decir entre c/deltaZ

binranges = 0:50:5000;
[bincounts] = histc(T_int,binranges);

figure
bar(binranges,bincounts,'histc')


















